package com.ghy.order.mapper;

import com.ghy.order.domain.OrderAddSubtract;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 订单追加扣减 Mapper
 */
public interface OrderAddSubtractMapper {

    int insert(OrderAddSubtract o);

    int update(OrderAddSubtract o);

    List<OrderAddSubtract> select(OrderAddSubtract o);

    List<OrderAddSubtract> selectByOrderDetail(Long orderDetailId);

    OrderAddSubtract selectById(Long id);

    int updatePay(@Param(value = "id") Long id, @Param(value = "paymentId") String paymentId, @Param(value = "payStatus") Integer payStatus);
}
